package server_api //nolint:staticcheck

import (
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/api"
)

// AgentwInfo contains information about an agentw.
type AgentwInfo struct {
	// Key is the agent's type and id in the database.
	Key api.AgentKey
}

func (a *AgentwInfo) AgentKey() api.AgentKey {
	return a.Key
}
